using Microsoft.Extensions.Logging;
using Quartz;
using System;
using System.Threading.Tasks;

namespace SlnMesnac.Quartz.Job
{
    /// <summary>
    /// 定时获取设备状态
    /// </summary>
    public class GetAgvState_Job : IJob
    {
        private readonly ILogger<GetAgvState_Job> _logger;

        public GetAgvState_Job(ILogger<GetAgvState_Job> logger)
        {
            _logger = logger;
        }

        public Task Execute(IJobExecutionContext context)
        {
            _logger.LogInformation($"获取AGV状态：{DateTime.Now.ToString("HH:mm:ss")}");
            return Task.CompletedTask;
        }

    }
}